Wine больше не поддерживается?



  • Год назад ваша игра прекрасно работала под линуксом. Причём только на вашем сервере мне удавалось играть без единого лага или глюка, всё было просто идеально! А сегодня вот решил зайти - обновления все скачивает, в игру пускает, но потом вылазит тыща подобных ошибок и играть невозможно:

    error



  • @luarocks играю с вайна на макбуке, проблем больших нет.



  • @WizyWizy в чём же может быть причина? Может ты запускаешь под какой-то особой кодировкой, специальными настройками или внешними библиотеками?



  • Только что установил вот этот набор библиотек:

    winetricks mfc42 d3dx9 vcrun6 vcrun6sp6 vb6run vcrun2003 vcrun2005 vcrun2008 vcrun2010 vcrun2012 vcrun2013 vcrun2015 directplay msxml3 msxml4 msxml6
    

    Запустил под utf-8 и всё завелось!

    LANG=ru_RU.UTF-8 wine updater.exe
    

    Что конкретно из всего этого мне помогло я так и не понял, но главное что проблема решена!


  • Авторизованные священники

    @luarocks а какой вайн прогой пользуешься?



  • @Chibi Версия вайна 5.22. Версии винды пробовал разные, заработало в итоге на 32-х битной XP.


  • Авторизованные священники

    @luarocks я все время на ПлейОнМак играла, из всего "бутылочного" нравилось больше всего (не нагревался мак и не шумели куллеры, никаких микролагов, а также проблем с возвратом из альт-таба или после пробуждения из спящего режима)
    Две недели назад сменила мак (м1). К сожалению, ни одна из испробованных мной бутылок, не запускает РОшку на новом маке с м1. Неделю назад сумела, вроде бы даже стабильно, запустить МОТР через адатированную параллель с самой свежей сборкой 10 вин (ARM). Что параллель, что винда в этом виде - беты, поэтому, бывает, крашутся при запуске.



  • @Chibi У меня больно шумит на ПлейОнМак, нагревается. Пришлось после обновления мака переустановить, боюсь трогать, ибо может и не смогу установить и вовсе. 😉


  • Авторизованные священники

    @WizyWizy там фишечка была в тонких настройках и обязательно в выборе старой версии бутылки (не выше 1.9.х версии, да-да), тогда не грелось. Выбирая системную (рекомендованную) бутыль, как в том же Кроссовере, мак будет шуметь как боинг 🙂

    upd: ах да, самое важное, что на старых бутылках можно было играть до Каталины. Из-за этого, чтобы сохранить возможность комфортной игры, и поплясав с бубном на Каталине, откатилась на Мохаве.



  • @Chibi У меня как раз проблемы и возникли из-за того, что перешел на Каталину. Ну посмотрим что будет дальше.



  • На маке ставится винда через bootcamp и даже cs:go становится играбельной ))


  • Авторизованные священники

    Пользователь @andee написал в Wine больше не поддерживается?:

    bootcamp

    Неудобно переключаться. Бутылки были удобней, тем более, что, лично я, больше ничего под винду не юзала.
    А сейчас на м1 и вовсе нет поддержки bootcamp)



  • @Chibi тогда parallels должна помочь 😉


Log in to reply